cURL
curl -X POST "https://apiweb.mile.app/api/v3/short-token/resolve" \
-H "Content-Type: application/json" \
-d '{"shortToken": "abc123def456ghi789"}'import requests
url = "https://apiweb.mile.app/api/v3/short-token/resolve"
payload = { "shortToken": "abc123def456ghi789" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shortToken: 'abc123def456ghi789'})
};
fetch('https://apiweb.mile.app/api/v3/short-token/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success.",
"data": {
"bearerToken": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...",
"userId": "6804ef87fff429d06900a937",
"organizationId": "6804ef87fff429d06900a932"
}
}{
"status": false,
"message": "Short token is invalid or expired"
}Short Token
Resolve Short Token
Exchange a short token for the original bearer token. This endpoint does not require authentication (the short token itself is the credential). The short token must be valid and not expired (tokens expire after 5 minutes).
POST
/
short-token
/
resolve
cURL
curl -X POST "https://apiweb.mile.app/api/v3/short-token/resolve" \
-H "Content-Type: application/json" \
-d '{"shortToken": "abc123def456ghi789"}'import requests
url = "https://apiweb.mile.app/api/v3/short-token/resolve"
payload = { "shortToken": "abc123def456ghi789" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shortToken: 'abc123def456ghi789'})
};
fetch('https://apiweb.mile.app/api/v3/short-token/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success.",
"data": {
"bearerToken": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...",
"userId": "6804ef87fff429d06900a937",
"organizationId": "6804ef87fff429d06900a932"
}
}{
"status": false,
"message": "Short token is invalid or expired"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The short token string to resolve back to a bearer token. Example: abc123def456ghi789
⌘I